package repository

import (
	"58team_blog/internal/domain/entities"

	"github.com/google/uuid"
)

type UsersRepository interface {
	Create(*entities.User) (*entities.User, error)
	FindById(uuid.UUID) (*entities.User, error)
	FindByName(string) (*entities.User, error)
	GetAll() ([]*entities.User, error)
	Update(*entities.User) error
	Delete(uuid.UUID) error
}
